package co.yixiang.yshop.module.member.convert.integralrule;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.integralrule.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.integralrule.IntegralRuleDO;

/**
 * 会员积分规则 Convert
 *
 * @author admin
 */
@Mapper
public interface IntegralRuleConvert {

    IntegralRuleConvert INSTANCE = Mappers.getMapper(IntegralRuleConvert.class);

    IntegralRuleDO convert(IntegralRuleCreateReqVO bean);

    IntegralRuleDO convert(IntegralRuleUpdateReqVO bean);

    IntegralRuleRespVO convert(IntegralRuleDO bean);

    List<IntegralRuleRespVO> convertList(List<IntegralRuleDO> list);

    PageResult<IntegralRuleRespVO> convertPage(PageResult<IntegralRuleDO> page);

    List<IntegralRuleExcelVO> convertList02(List<IntegralRuleDO> list);

}
